Skip to navigation

Scale a virtual machine

Scale a virtual machine to new CPU and/or memory specifications. When the VM is stopped, both scale-up and scale-down are allowed. When running, only scale-up is permitted.

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

idstringRequired
ID of the virtual machine

Request

This endpoint expects an object.
cpuintegerOptional>=1
Number of virtual CPUs. Optional, but at least one of CPU or memory must be provided.
memoryMbintegerOptional>=1
Memory in MB. Optional, but at least one of CPU or memory must be provided.

Response

The scale action has been initiated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error